Subject: Re: [PATCH V2 1/2] t9801: check git-p4's branch detection and client view together

From: Junio C Hamano <[email-masked]>
Date: Mon, 20 Apr 2015 15:45:15 -0700

Vitor Antunes <[email-masked]> writes:

> On April 20, 2015 6:43:49 AM GMT+01:00, Junio C Hamano <[email-masked]> wrote:
>>Vitor Antunes <[email-masked]> writes:
>>
>>> Add failing scenario where branch detection is enabled together with
>>> use client view. In this specific scenario git-p4 will break when the
>>> perforce client view removes part of the depot path.
>>
>>I somehow cannot parse "together with use client view", especially
>>the word "use".  Is it "user client view" or something (I am not
>>familiar with p4 lingo), or perhaps "use of client view"?
>
> I meant "spec" instead of "view". As in - -use-client-spec.
>
> In perforce you need to configure your workspace using a client specification.
> One of the configured values is the client view, which maps files/folders in the
> server to locations in your local workspace. What I'm trying to fix with these
> patches is the ability of git-p4 to process the client view definition through
> the use of "p4 where" to determine the correct location of the local files, such
> that it is able to apply the necessary patches for submission to the perforce
> server.
>
> While thinking about client views I completely forgot that the git-p4 argument
> that enables thos feature uses "spec" and not "view".

So,... what's the conclusion?  Should the log message be written
like this perhaps?

    t9801: check git-p4's branch detection and client spec together
    
    Add failing scenario where branch detection is enabled together
    with use of client spec.  In this specific scenario git-p4 will
    break when the perforce client spec removes part of the depot
    path.
    
    The test case also includes an extra sub-file mapping to enforce
    robustness check on git-p4 implementation.
    
    Signed-off-by: Vitor Antunes <[email-masked]>
    Signed-off-by: Junio C Hamano <[email-masked]>